List Vector Stores
curl --request GET \
--url https://api.egp.scale.com/v5/vector-stores \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/vector-stores"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/vector-stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "<string>",
"embedding_dimensions": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"embedding_config": {
"type": "models_api",
"model_deployment_id": "<string>"
},
"indexed_metadata_fields": {}
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Vector Stores
List Vector Stores
List all vector stores in your account with pagination.
Returns vector stores sorted by creation date (newest first). Each store includes its configuration, embedding model, dimensions, indexed fields, and timestamps.
GET
/
v5
/
vector-stores
List Vector Stores
Authorizations
Headers
Query Parameters
Required range:
1 <= x <= 10000Available options:
asc, desc Response
Successful Response
Show child attributes
Show child attributes
The total of items that match the query. This is greater than or equal to the number of items returned.
Whether there are more items left to be fetched.
Allowed value:
"list"The maximum number of items to return.

